unit ulinear;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tflinear }

  Tflinear = class(TForm)
    BitBtn1: TBitBtn;
    b_berechnen: TButton;
    e_a: TEdit;
    e_b: TEdit;
    e_ergebnis: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure b_berechnenClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  flinear: Tflinear;

implementation

{$R *.lfm}

{ Tflinear }

procedure Tflinear.b_berechnenClick(Sender: TObject);
VAR koeff_a, koeff_b, loesung : SINGLE;
    fehlertext : STRING;

  PROCEDURE Wertuebergabe;
  BEGIN
   koeff_a := STRTOFLOAT(e_a.text);
   koeff_b := STRTOFLOAT(e_b.text);
  END;

  PROCEDURE Loesen(a,b : SINGLE; VAR x : SINGLE; VAR fehler:STRING);
  BEGIN
   IF a<>0 THEN x:=-b/a
           ELSE fehler:='Eingabefehler, Division durch NULL!';
  END;



begin
 //Init
   loesung:=0;
   fehlertext:='';
 //Eingabe
   Wertuebergabe;
 //Verarbeitung
   Loesen(koeff_a,koeff_b,loesung,fehlertext);
 //Ausgabe
   IF fehlertext<>'' THEN e_ergebnis.text:=fehlertext
                     ELSE e_ergebnis.text:=FLOATTOSTRF(loesung,ffnumber,8,2);
end;

end.

